using Postall.Infra.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Postall.Domain.Services.Contracts
{
    public interface IVideoService
    {
        Task<List<VideoItemResponse>> GetUserChannelVideosAsync(int maxResults = 10);

        Task<List<VideoItemResponse>> GetChannelVideosAsync(string channelId, int maxResults = 10);

        Task SaveVideoForUserAsync(string videoId);

        Task RemoveVideoForUserAsync(string videoId);
    }
}
